Package com.xebialabs.xlrelease.utils

# Class FolderId

java.lang.Object
com.xebialabs.xlrelease.utils.FolderId

All Implemented Interfaces:
  `Serializable`, `scala.Equals`, `scala.Product`

public class FolderId extends Object implements scala.Product, Serializable

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `FolderId(String anyPath)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `FolderId`
  `$div(String childId)`
  `String`
  `absolute()`
  `FolderId`
  `add(String childId)`
  `String`
  `anyPath()`
  `static FolderId`
  `apply(String anyPath)`
  `boolean`
  `canEqual(Object x$1)`
  `FolderId`
  `copy(String anyPath)`
  `String`
  `copy$default$1()`
  `boolean`
  `equals(Object x$1)`
  `String[]`
  `getPath()`
  `int`
  `hashCode()`
  `String`
  `id()`
  `boolean`
  `isEmpty()`
  `FolderId`
  `parent()`
  `String`
  `path()`
  `int`
  `productArity()`
  `Object`
  `productElement(int x$1)`
  `String`
  `productElementName(int x$1)`
  `scala.collection.Iterator<Object>`
  `productIterator()`
  `String`
  `productPrefix()`
  `static FolderId`
  `Root()`
  `String`
  `toString()`
  `static scala.Option<String>`
  `unapply(FolderId x$0)`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface scala.Product

  `productElementNames`

- ## Constructor Details

  - ### FolderId

    public FolderId(String anyPath)

- ## Method Details

  - ### Root

    public static FolderId Root()

  - ### apply

    public static FolderId apply(String anyPath)

  - ### unapply

    public static scala.Option<String> unapply(FolderId x$0)

  - ### anyPath

    public String anyPath()

  - ### path

    public String path()

  - ### absolute

    public String absolute()

  - ### id

    public String id()

  - ### parent

    public FolderId parent()

  - ### isEmpty

    public boolean isEmpty()

  - ### add

    public FolderId add(String childId)

  - ### $div

    public FolderId $div(String childId)

  - ### getPath

    public String[] getPath()

  - ### copy

    public FolderId copy(String anyPath)

  - ### copy$default$1

    public String copy$default$1()

  - ### productPrefix

    public String productPrefix()
    Specified by:
      `productPrefix` in interface `scala.Product`

  - ### productArity

    public int productArity()
    Specified by:
      `productArity` in interface `scala.Product`

  - ### productElement

    public Object productElement(int x$1)
    Specified by:
      `productElement` in interface `scala.Product`

  - ### productIterator

    public scala.collection.Iterator<Object> productIterator()
    Specified by:
      `productIterator` in interface `scala.Product`

  - ### canEqual

    public boolean canEqual(Object x$1)
    Specified by:
      `canEqual` in interface `scala.Equals`

  - ### productElementName

    public String productElementName(int x$1)
    Specified by:
      `productElementName` in interface `scala.Product`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### equals

    public boolean equals(Object x$1)
    Specified by:
      `equals` in interface `scala.Equals`
    Overrides:
      `equals` in class `Object`